Skip to content

Update an internal email note

PUT
/emails/{id}/internal-notes/{noteId}

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required
noteId*
Type
string
Required

Request Body

application/json
JSON
{
  
"content": "string",
  
"text_content": "string"
}

Responses

OK

application/json
JSON
{
  
"note": {
  
  
"_id": "string",
  
  
"source_email": "string",
  
  
"project": "string",
  
  
"owner": "string",
  
  
"parent_note": "string",
  
  
"content": "string",
  
  
"text_content": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI